<template>
    <block type="media" v-bind="params" :class="getClassBlock">
        <div class="container">
            <section-title v-if="params.header" v-bind="params.header"></section-title>
            <div class="section-media__items">
                <card-media v-for="(item, index) in content.items" :key="index" :item="item"></card-media>
            </div>
        </div>
    </block>
</template>

<script>
export default {
    props: {
        content: {
            default: () => {
                return {
                    items: require('@js/samples').default.load('media'),
                    cut_images: true
                }
            }
        },
        params: {
            default: () => ({})
        }
    },
    created: function () {
        // _.each(this.items_, (item) => {
        //     item.text = _.truncate(item.text, {'length': 77})
        // })
    },
    computed: {
        getClassBlock: function(){
            return {
                'media--cut-image' : !this.content.cut_images,
            }
        }
    }
}
</script>